:root {
  --color-dark: #0F2C59;
  --color-light-1: #F8F0E5;
  --color-light-2: #EADBC8;
  --color-light-3: #DAC0A3;
}

@font-face {
  font-family: "BN-Bergen";
  src: url("fonts/bnbergen-light-webfont.woff") format("woff");
url("fonts/bnbergen-light-webfont.woff2") format("woff2");
  font-weight: 100 400;
}

@font-face {
  font-family: "BN-Bergen";
  src: url("fonts/bnbergen-webfont.woff") format("woff");
url("fonts/bnbergen-webfont.woff2") format("woff2");
  font-weight: 500;
}

@font-face {
  font-family: "BN-Bergen";
  src: url("fonts/bnbergen-bold-webfont.woff") format("woff");
url("fonts/bnbergen-bold-webfont.woff2") format("woff2");
  font-weight: 600 900;
}

@font-face {
  font-family: "RougeAndBlush";
  src: url("fonts/rougeandblush-webfont.woff") format("woff");
url("fonts/rougeandblush-webfont.woff2") format("woff2");
}

@font-face {
  font-family: "RougeAndBlush-Doodles";
  src: url("fonts/rougeandblushdoodles-webfont.woff") format("woff");
url("fonts/rougeandblushdoodles-webfont.woff2") format("woff2");
}

b {
  font-weight: 700;
}

i.icon {
  font-family: "RougeAndBlush-Doodles";
  font-size: 2em;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  --icon-color: currentColor;
  color: var(--icon-color);
}

i.icon.icon-x:before {
  content: 'B'
}

i.icon.icon-check:before {
  content: 'A'
}

i.icon--red {
  --icon-color: red;
  --icon-alternative-color: white;
}

i.icon--green {
  --icon-color: green;
  --icon-alternative-color: white;
}

i.icon--circle {
  border-radius: 50%;
  background-color: var(--icon-color);
  color: var(--icon-alternative-color);
  width: 0.8em;
  height: 0.8em;
}

form > *:not(:first-child) {
  margin-top: 16px;
}

form .form-actions {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  gap: 18px;
}

blockquote {
  font-style: italic;
}

h1 {
  text-align: center;
  font-size: 2.6em;
  font-family: "RougeAndBlush", serif;
}

h1:before,
h1:after {
  content: '6';
  font-family: 'RougeAndBlush-Doodles';
}

h1:before {
  padding-right: 4px;
}

h1:after {
  padding-left: 10px;
}

h1, h2, h3, h4 {
  color: var(--color-dark);
}


.appearance--typography {
  h1, h2, h3, h4 {
    font-family: "RougeAndBlush", serif;
  }

  h2 {
    font-size: 2em;
  }

  h3 {
    font-size: 1.8em;
  }

  h4 {
    font-size: 1.6em;
  }

  h2:before,
  h2:after {
    content: 'l';
    font-family: 'RougeAndBlush-Doodles';
    padding: 4px;
  }

  h3:before,
  h3:after {
    content: '0';
    font-family: 'RougeAndBlush-Doodles';
    padding: 4px;
  }

  h4:before,
  h4:after {
    content: '1';
    font-family: 'RougeAndBlush-Doodles';
    padding: 4px;
  }
}

table {
  border-collapse: collapse;
}

tbody tr:nth-of-type(2n + 1) {
  background-color: #00000008;
}

tr > *:nth-child(1) {
  border-right: 1px solid var(--color-dark);
}

td, th {
  text-align: center;
  font-weight: normal;
  padding: 3px 4px;
}

body {
  background-color: var(--color-light-3);
  margin: 0;
  padding: 20px;
  --clipboard-padding: 20px;
  --paper-padding: 20px;
  font-family: "BN-Bergen", sans-serif;
  font-weight: 300;
  line-height: 1.2em;
}

@media (width <= 750px) {
  body {
    padding: 5px;
    --clipboard-padding: 8px;
    --paper-padding: 8px;
  }
}

section#clipboard {
  max-width: 750px;
  margin: 0 auto;
  background-color: var(--color-light-2);
  border-radius: 10px;
  min-height: 95vh;
  padding: var(--clipboard-padding);
  position: relative;
  box-shadow: 5px 5px 5px #0002;
  display: flex;
  flex-direction: column;
}

.clipboard-embellishment {
  position: absolute;
  top: -4px;
  left: 0;
  right: 0;
  margin: auto;
  width: 50%;
  height: calc(20px + var(--clipboard-padding));
  border: 3px solid black;
  border-top: 0;
  border-bottom-left-radius: 3px;
  border-bottom-right-radius: 3px;
  display: flex;
  flex-direction: row;
  align-items: flex-end;
  justify-content: space-between;
}

.clipboard-embellishment:before,
.clipboard-embellishment:after {
  display: block;
  content: '';
  width: 10px;
  height: 10px;
  --rubber-corner-thickness: 8px;
  --rubber-corner-offset: calc(-0.6 * var(--rubber-corner-thickness));
}

.clipboard-embellishment:before {
  border-left: var(--rubber-corner-thickness) solid black;
  border-bottom: var(--rubber-corner-thickness) solid black;
  border-bottom-left-radius: 6px;
  margin-left: var(--rubber-corner-offset);
  margin-bottom: var(--rubber-corner-offset);
}

.clipboard-embellishment:after {
  border-right: var(--rubber-corner-thickness) solid black;
  border-bottom: var(--rubber-corner-thickness) solid black;
  border-bottom-right-radius: 6px;
  margin-right: var(--rubber-corner-offset);
  margin-bottom: var(--rubber-corner-offset);
}

.sheet-of-paper {
  background-color: var(--color-light-1);
  border-radius: 2px;
  --padding: var(--paper-padding);
  width: calc(100% - calc(2 * var(--padding)));
  height: calc(100% - calc(2 * var(--padding)));
  margin: 0 auto;
  padding: var(--padding);
  padding-top: 20px;
  flex-grow: 1;
  box-shadow: 2px 2px 2px #0001;
}

#dynamic:has(> wa-spinner) {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 90vh;
}

#toast-messages {
  z-index: 1;
  position: fixed;
  bottom: 0;
  right: 0;
  left: 0;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  gap: 12px;
  padding: 12px;
}